{% assign program = include.data.programme | group_by:"type" %}
{% assign cours = program | where:"name","cours" %}
{% assign exposes = program | where:"name","keynote" %}
{% assign longarticles = program | where:"name","long" %}
{% assign shortarticles = program | where:"name","court" %}

{% assign myp = data | calcul_programme %}

<section class="section" id="programme">
  <h3 class="title">Programme</h3>


  <div class="columns">
  {% if cours %}
  <div class="column">
  <h4 class="subtitle is-4">Cours invités</h4>
    {% for elem in cours[0].items %}
      <div class="box">
      {% include communication.html communication=elem %}
      </div>
    {% endfor %}
  </div>
  {% endif %}

  {% if exposes %}
  <div class="column">
  <h4 class="subtitle is-4">Exposés invités</h4>
    {% for elem in exposes[0].items %}
  <div class="box">
    {% include communication.html communication=elem %}
  </div>
  {% endfor %}
  </div>
  {% endif %}
  </div>

  
  {% if myp.size < include.data.programme.size %}

  {% if longarticles.size > 0 %}
  <h4 class="subtitle is-size-4">Articles acceptés</h4>

  <div class="columns">
    <div class="column">
      <p class="paragraph">
        La liste des articles acceptés aux JFLA est la suivante.
      </p>
    </div>
  </div>
  {% assign alllong = longarticles[0].items | sort:"titre" %}
  
  <div class="columns">
    <div class="column is-half">
      <h5 class="subtitle is-size-5">Articles de recherche</h5>
      {% for a in alllong %}
      <div class="box">
        {% include communication.html communication=a %}
      </div>
      {% endfor %}
    </div>
    
    {% if shortarticles.size > 0 %}
    {% assign allshort = shortarticles[0].items | sort:'titre' %}
    <div class="column">
      <h5 class="subtitle is-size-5">Articles courts</h5>
      {% for a in allshort %}
      <div class="box">
        {% include communication.html communication=a %}
      </div>
      {% endfor %}
    </div>
    {% endif %}

  </div>

  {% endif %}
  {% endif %}

</section>



{% if myp.size > 0 %}
<section class="section" id="emploitemps">
  <h3 class="title">En détails</h2>

  {% for d in myp.programme %}
  <div class="day">

    {% assign pdate=d[0] %}
    <h4 class="title is-5 has-text-centered">{% include date-fmt.html date=pdate jour=true %} </h4>
    <ul>

      {% for pres in d[1] %}
      <li class="{{ pres.type }} et-item">
        <div class="columns is-vcentered">
            <div class="column is-3">
              {% assign start_t = pres.heure.debut | view_time %}
              <span class="time">{{ start_t }} 
                {% if pres.heure.fin %}
              {% assign end_t = pres.heure.fin | view_time %}
              &mdash; {{ end_t }}
              {% endif %}
              </span>
            </div>
            <div class="column">
              {% include communication.html communication=pres %}
            </div>
        </div>
      </li>
      {% endfor %}

    </ul>
  </div>
  {% endfor %}

</section>
{% endif %}
